/**
 * Ta wykonywalna klasa jest używana w następujących przykładach:
 * <ul>
 *  <li> przykładzie 1.1
 *  <li> przykładzie 1.2
 * </ul>
 * <br>
 * Rozdział 1: Wprowadzenie do wzorców projektowych oprogramowania
 * 
 * <ul>
 * <li>1. Hermetyzacja
 * <li>2. Dziedziczenie
 * <li>3. Polimorfizm
 * <li>4. Abstrakcja
 * </ul>
 * 
 */
public class Example1_2Main {

    public static void main(String[] args) {
        Vehicle vehicle = new Car(); 
        // @start region="encapsulation_example"
        vehicle.move();
        // @end    
    }
}
